Bug 600439 - [abrt] crash in obex-data-server-1:0.4.5-1.fc13: obex_io_callback: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
[abrt] crash in obex-data-server-1:0.4.5-1.fc13: obex_io_callback: Process /u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: obex-data-server (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:4cdf438470fa34906c709d92c27...
:
: 620238 651043 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 13:43 EDT by Andrej
Modified: 2011-06-27 13:32 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.18 KB, text/plain)
2010-06-04 13:43 EDT, Andrej
no flags Details

  None (edit)
Description Andrej 2010-06-04 13:43:22 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/obex-data-server --no-daemon ''
comment: It happend for the first time. Coundn't reproduce.
component: obex-data-server
crash_function: obex_io_callback
executable: /usr/bin/obex-data-server
global_uuid: 4cdf438470fa34906c709d92c279bf0949bfe055
kernel: 2.6.33.5-112.fc13.x86_64
package: obex-data-server-1:0.4.5-1.fc13
rating: 4
reason: Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Plug in USB bluetooth stick
2. Start kbluetooth
3. Send file via kbluetooth
Result: file has been sent, but obex-data-server crashed.
Comment 1 Andrej 2010-06-04 13:43:24 EDT
Created attachment 421305 [details]
File: backtrace
Comment 2 Patrick C. F. Ernzer 2010-06-20 09:47:41 EDT
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. give KDE a try (normally I use gnome)
2. start KBluetooth
3. find my phone in known devices list (I presume it picked it up from gnome)
4. Send, File: pick an image to send
5. Sending takes place
6. Nokia N900 receives image fine

Actual result:
obex-data-server crashes

Expected result:
no crash as transfer is seemingly OK (Image displays fine on N900)
Comment 3 Egon Kastelijn 2010-06-25 06:44:59 EDT
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I was trying to send a VCard to my mobile phone using Bluetooth.
The application crashed after I accepted the VCard on my mobile phone.
Comment 4 Rafael 2010-07-25 00:52:29 EDT
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Open Kbluetooth
2.Select send file (picture image) to my phone


Comment
-----
This crash jumps when i am transfering simple files to my phone through bluetooth, although the crash exist; the file was transfered successfully to my phone, and i can continue sending more files to my phone.
Comment 5 colesen 2010-08-20 09:13:47 EDT
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: i386
OS Release: Fedora release 13 (Goddard)

How to reproduce
-----
1. select kbluetooth (in the tray of kde4)
2. select send file
3. select a file from the popup
4. select a receiver (mobile phone Nokia E52) from the popup 
5. observe notication that Process /usr/bin/obex-data-server was killed by signal 11 (SIGSEGV)

Comment
-----
1. file transferred appears to be ok i.e. the crash appears to occur after file transfer is complete
2. the above step 2 becomes dimmed thereby preventing repeat 
3. re-login re-establishes process /usr/bin/obex-data-server and removes the dimming of the above step 2
Comment 6 Karel Klíč 2010-11-08 13:03:20 EST
*** Bug 620238 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2010-11-09 07:52:13 EST
*** Bug 651043 has been marked as a duplicate of this bug. ***
Comment 8 Dean Shorter 2010-11-16 16:11:13 EST
Package: obex-data-server-1:0.4.5-1.fc13
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Attempting to send files via bluetooth using kde bluetooth framework widget / KDE Dev platform 4.5.2
2.KBluetooth Version 0.4
3.


Comment
-----
As above
Comment 9 Dean Shorter 2010-11-16 16:13:48 EST
(In reply to comment #8)
> Package: obex-data-server-1:0.4.5-1.fc13
> Architecture: x86_64
> OS Release: Fedora release 14 (Laughlin)
> 
> 
> How to reproduce
> -----
> 1. Attempting to send files via bluetooth using kde bluetooth framework widget
> / KDE Dev platform 4.5.2
> 2.KBluetooth Version 0.4
> 3.
> 
> 
> Comment
> -----
> As above

Was sending small html files (~40k) to an Nokia N900
Comment 10 Bug Zapper 2011-06-02 08:02:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Egon Kastelijn 2011-06-14 14:58:41 EDT
I tested this with obex-data-server 1:0.4.5-2.fc15.
The problem does not occur anymore when I transmit a vcard to a HTC desire.
I don't mind if this bug is closed.
Comment 12 Bug Zapper 2011-06-27 13:32:21 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.